summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xruntests.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/runtests.sh b/runtests.sh
index c228dce56..dc3343fe9 100755
--- a/runtests.sh
+++ b/runtests.sh
@@ -15,6 +15,13 @@ case "${NOCOLOR:-false}" in
;;
esac
+interrupted() {
+ echo "interrupted." >&2
+ exit 1
+}
+
+trap interrupted SIGINT
+
exit_status="0"
for version in ${PYTHON_VERSIONS}; do
if [[ -x /usr/bin/python${version} ]]; then